导读 最近在网上看到很多关于安装网络Yum源是报错的求助,本小白也曾遇到过此类问题,后找过度娘没有有效的解决办法。最后,经过几番尝试后终于解决,现在将解决方案共享给大家!

yum error

Yum源及安装

安装过程在之前就有大牛讲过了!这里就不做阐述了。具体可以参考:

Redhat 7使用CentOS 7的Yum网络源

问题阐述

按照上述方法安装,应该是不会有问题的。但是本小白在安装的时候出错了!

[root@linuxprobe~]# rpm -ivh yum-fastestmirror-1.1.26-11.el6.centos.noarch.rpm

error: Failed dependencies:
yum >= 3.0 is needed by yum-fastestmirror-1.1.26-11.el6.centos.noarch

[root@linuxprobe~]# rpm -ivh yum-3.2.27-14.el6.centos.noarch.rpm

error: Failed dependencies:
yum-fastestmirror is needed by yum-3.2.27-14.el6.centos.noarch

反复操作后仍然无果……,实在没有办法决定暂时不处理。

问题解决

问题解决了

后来,在网上无意看到rpm后添加两个文件执行,决定自己尝试一下:

[root@localhost rpm]# rpm -ivh yum-3.2.27-14.el6.centos.noarch.rpm yum-fastestmirror-1.1.26-11.el6.centos.noarch.rpm

随后看到的结果:

Preparing...                ########################################### [100%]
   1:yum-fastestmirror      ########################################### [ 50%]
   2:yum                    ########################################### [100%]

至此Yum安装过程中被需要问题解决了!
以上为本小白自己试验尝试的结果,如有不正确还请各位大牛指正!

本文原创地址:http://www.linuxprobe.com/yum-error-solve.html作者:苏西云,审核员:逄增宝